/*
 * HARK/hark-base
 *
 * Copyright (C) 2008-2018
 *
 */

#if !defined(HARK_BASE_AND_H_INCLUDED)
#define HARK_BASE_AND_H_INCLUDED 1

#include "common.h"

#include "BufferedNode.h"

namespace HARK
{
    class AND : public BufferedNode
    {
    public:
	AND(const std::string &nodeName, const ParameterSet &params);
	
    public:
	virtual int translateInput(const std::string &inputName);
	void calculate(int output_id, int count, Buffer &out);

    private:
	int  _outputID;
	bool _pullAnyway;
	
    };

}

#endif

/* end of file */
