/*
 * HARK/hark-base
 *
 * Copyright (C) 2008-2018
 *
 */

#if !defined(HARK_BASE_IF_H_INCLUDED)
#define HARK_BASE_IF_H_INCLUDED 1

#include "common.h"

#include "Node.h"

namespace HARK
{
    class IF : public Node
    {
    public:
	IF(const std::string &nodeName, const ParameterSet &params);

	ObjectRef getOutput(int output_id, int count);

    private:
	int _inputID;
	int _thenID;
	int _elseID;
	int _outputID;
	bool _pullAnyway;

    };

}

#endif

/* end of file */
