/*
 * HARK/hark-base
 *
 * Copyright (C) 2008-2018
 *
 */

#if !defined(HARK_BASE_NOT_H_INCLUDED)
#define HARK_BASE_NOT_H_INCLUDED 1

#include "common.h"

#include "BufferedNode.h"

namespace HARK
{
    class NOT : public BufferedNode
    {
    public:
	NOT(const std::string &nodeName, const ParameterSet &params);
	void calculate(int output_id, int count, Buffer &out);

    private:
	int _inputID;
	int _outputID;
    };
}

#endif

/* end of file */
