/*
 * HARK/hark-base
 *
 * Copyright (C) 2008-2018
 *
 */

#include "Matrix.h"

#include "Object.h"
#include "ObjectParser.h"
#include "ObjectRef.h"
#include "operators.h"
#include <complex>

namespace HARK
{
    DECLARE_TYPE(Matrix<bool>);
    DECLARE_TYPE(Matrix<int>);
    DECLARE_TYPE(Matrix<float>);
    DECLARE_TYPE(Matrix<double>);
    DECLARE_TYPE(Matrix<ObjectRef>);
    DECLARE_TYPE(Matrix<std::string>);
    DECLARE_TYPE(Matrix<String>);
    DECLARE_TYPE2("Matrix", Matrix<float>);
    DECLARE_TYPE2("Matrix<complex<float>>",Matrix<std::complex<float> >);
    DECLARE_TYPE2("Matrix<complex<double>>",Matrix<std::complex<double> >);
}

/* end of file */
